#
# spec file for package perl-Argv
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Argv
Version:        1.28
Release:        1.3
%define cpan_name Argv
Summary:        Provide an OO interface to an arg vector
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Argv/
Source:         http://www.cpan.org/authors/id/D/DS/DSB/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
An Argv object treats a command line as 3 separate entities: the _program_,
the _options_, and the _args_. The _options_ may be further subdivided into
user-defined _option sets_ by use of the 'optset' method. When one of the
_execution methods_ is called, the parts are reassembled into a single list
and passed to the underlying Perl execution function.

Compare this with the way Perl works natively, keeping the 0th element of
the argv in '$0' and the rest in '@ARGV'.

By default there's one option set, known as the _anonymous option set_,
whose name is the null string. All parsed options go there. The advanced
user can define more option sets, parse options into them according to
Getopt::Long-style descriptions, query or set the parsed values, and then
reassemble them in any way desired at exec time. Declaring an option set
automatically generates a set of methods for manipulating it (see below).

All argument-parsing within Argv is done via Getopt::Long.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Argv.html Changes examples README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.28
  see /usr/share/doc/packages/perl-Argv/Changes
  1.28 Sat Jan 26 18:15:48 CET 2013
  - Restored Argv::Summary functionality, disabled by the previous fix.
  Fixes contributed by Marc Girod.
* Thu May 31 2012 coolo@suse.com
- regenerate spec file to fix build
* Sat Nov 19 2011 coolo@suse.com
- update to 1.27
  - Fix contributed by Stephen Rauch: some verbosity was going to
    stdout instead of stderr where it should.
  - remove defined(%%Argv::Summary): deprecated in Perl 5.12
  - silenced a spurious(?) 5.12 redefinition warning around exec.
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 1.26
  * created by cpanspec 1.78.04
